文档章节

RabbitMq 3.6.1安装

Linland
 Linland
发布于 2016/03/21 17:16
字数 1061
阅读 249
收藏 6
RabbitMQ3.6.1的安装方法跟以前的版本有点不一样,我在网上找了很多资料,基本都是3.1左右的版本,而且安装过程很繁琐,所以我花了一下午的时间研究如何实现最简安装。为了让大家少走弯路,就把安装过程记录了下来,也便于以后如果忘记了好查阅。3.6最大的特点就是不用再运行make命令了,而是直接解压就可以用。下面是具体步骤:

 

1. 首先下载RabbitMQ,地址为:http://www.rabbitmq.com/install-generic-unix.html。这里我们下载的是generic unix的版本,下载的文件名为:rabbitmq-server-generic-unix-3.6.1.tar.xz。xz是一个使用LZMA压缩算法的无损数据压缩文件格式,是绝大数linux默认就带的一个压缩工具。其解压方式为xz -d {要解压的文件名},解压出来是一个tar文件,我就可以用tar文件的解压方法tar -xvf {解压出来的tar文件名}。

wKioL1bYb-7DKz6KAABJcgAenfw516.png
tar解压出来是一个叫rabbitmq_server-3.6.1的文件夹,为了便于管理我们把它移动到/usr/local/bin下。

wKiom1bYcIODrdjNAAAx_19O9jk568.png
到此为止RabbitMQ的基本安装就完成了,这个版本是不需要其他额外的编译和安装的。

2. 安装最新版的Erlang,因为RabbitMQ是基于Erlang开发的。记住:一定要用最新的版本,不然启动RabbitMQ时可能会出错,这个问题我开始弄了几个小时才发现是Erlang的版本太低的原因。

去Erlang官网下载最新的Source File文件,地址是:http://www.erlang.org/downloads

wKiom1bYXpbx5sUPAADdJzImens278.png

下载下来的文件名为:otp_src_18.2.1.tar.gz,我们用tar -zxvf解压就可以了。解压和生成otp_src_18.2.1文件夹,进入该文件夹,然后用./configure --prefix=/usr/local/bin/erlang --without-javac来配置,该命令可能会出现很多错误,基本都缺少相关的依赖,下面会列出具体的错误描述和解决方法。

错误1: 

 
Ignoring the --cache-file argument since it can cause the system to be erroneously configured
Disabling caching
checking build system type... x86_64-unknown-linux-gnu
checking host system type... x86_64-unknown-linux-gnu
checking for gcc... no
checking for cc... no
checking for cc... no
checking for cl... no
configure: error: no acceptable C compiler found in $PATH
See `config.log' for more details.

原因:缺少GCC编译器。解决方法:

 
yum install -y gcc-c++

错误2:

checking for tgetent in -ltinfo... no
checking for tgetent in -lncurses... no
checking for tgetent in -lcurses... no
checking for tgetent in -ltermcap... no
checking for tgetent in -ltermlib... no
configure: error: No curses library functions found
configure: error: /bin/sh '/software/otp_src_18.2.1/erts/configure' failed for erts

原因:未安装curses。解决方法:

 
yum -y install ncurses-devel

错误3:

crypto         : No usable OpenSSL found
jinterface     : Java compiler disabled by user
odbc           : ODBC library - link check failed
ssh            : No usable OpenSSL found
ssl            : No usable OpenSSL found

原因:缺少OpenSSL。解决方法: 

 
yum install openssl-devel

错误4:

jinterface     : Java compiler disabled by user
odbc           : ODBC library - link check failed

原因:缺少ODBC  library。解决方法:

 
yum install unixODBC-devel

最后运行make和make insall命令,运行完之后,在/usr/local/bin下面就有erlang文件夹了。我们先把RabbitMQ和Erlang的可执行文件的路径加入path中,以便在任何地方都可以执行。这里我们直接改etc/profile文件,以便对所有用户起作用。在profile适当的位置加入:

 
export PATH=$PATH:/usr/local/bin/erlang/bin:/usr/local/bin/rabbitmq_server-3.6.1/sbin

配完后输入source /etc/profile让配置起作用,然后输入erl,如果出现以下画面则说明安装成功。

wKioL1bYe1CTgTyoAAAbK5hqGio047.png 

最后输入rabbitmq-server,出现以下画面就说明RabbitMQ启动成功。

wKiom1bYfBfy_CSPAABAtNksZ08072.png 

如果要使用WEB管理界面,运行以下命令:

 
rabbitmq-plugins enable rabbitmq_management

WEB管理界面的默认用户名和密码都是guest

wKioL1bYfVSiaVUGAABdmNfCnbg844.png

最后一个问题:我们有可能在启动RabbitMQ时遇到{ERROR: epmd error for host "****"}错误。这是因为你的主机名和ip不匹配,必须把当前的hostname放入/etc/hosts文件中。当RabbitMQ用上面的默认方法安装后,使用的地址是127.0.0.1,把当前的hostname追加到/etc/hosts文件中127.0.0.1后面就可以了。

总结:RabbitMQ3.6的版本已经不需要以前那么复杂的安装过程,只用安装好Erlang就可以了。像Python等依赖软件只要是比较新的Linux发行版本基本都已经集成了。

本文转载自:http://linux.it.net.cn/CentOS/course/2016/0305/20473.html

Linland
粉丝 31
博文 51
码字总数 15762
作品 0
西安
数据库管理员
私信 提问
(三)RabbitMQ消息队列-Centos7下安装RabbitMQ3.6.1

如果你看过前两章对RabbitMQ已经有了一定了解,现在已经摩拳擦掌,来吧动手吧! 用什么系统 本文使用的是Centos7,为了保证对linux不太熟悉的伙伴也能轻松上手(避免折在安装的路上),下面是...

Super_RD
2017/04/19
0
0
RabbitMQ 3.6.1 RC2 发布

RabbitMQ 3.6.1 RC2 发布了,下载地址: https://github.com/rabbitmq/rabbitmq-server/releases/tag/rabbitmq_v3_6_1_rc2 完整改进记录: Server Bug Fixes Windows installer failed to c......

淡漠悠然
2016/02/21
1K
0
RabbitMQ 3.6.1 RC1 发布

RabbitMQ 3.6.1 RC1 发布了,下载地址: https://github.com/rabbitmq/rabbitmq-server/releases/tag/rabbitmq_v3_6_1_rc1 该版本完整的改进内容如下: Bug Fixes Purging a lazy queue cou......

淡漠悠然
2016/02/13
871
0
RabbitMQ 3.6.1 发布

RabbitMQ 3.6.1 发布了,该版本引入了 rabbit.channel_operation_timeout 参数。 完整改进记录: Server Bug Fixes Purging a lazy queue could result in an exception GitHub issue: rabbi......

淡漠悠然
2016/03/02
1K
0
在Solaris 10环境下安装rabbitMq后无法新建用户

在Solaris 10系统上安装 rabbitMq 3.6.1,使用的是rabbitMq官网上推荐的rabbitmq-server-generic-unix-3.6.1版本。修改了shell版本以后第一次启动创建guest用户的时候报如下错误: =INFO RE...

wo思远ow
2016/03/10
318
0

没有更多内容

加载失败,请刷新页面

加载更多

FPGA 设备 USB Platform Cable USB

lsusbFuture Technology Devices International, Ltd FT232H Single HS USB-UART/FIFO IC

MtrS
今天
4
0
lua web快速开发指南(6) - Cache、DB介绍

"数据库"与"缓存"的基本概念 数据库与缓存是服务端开发人员的必学知识点. 数据库 "数据库"是一种信息记录、存取的虚拟标记地点的集合统称. 比如现实生活中, 我们经常会用到文件柜、书桌等等数...

水果糖的小铺子
今天
7
0
Oracle分页查询语句的写法

Oracle分页查询语句的写法 Oracle分页查询语句使我们最常用的语句之一,下面就为您介绍的Oracle分页查询语句的用法,Oracle分页查询语句基本上可以按本文给出的格式来进行套用。   Oracle分...

康师傅
昨天
5
0
java并发图谱

1527
昨天
2
0
Mybatis之拦截器Interceptor

使用mybatis时用PageHelper进行分页,用到了PageInterceptor,借此了解下mybatis的interceptor。Mybatis的版本是3.4.6,MybatisHelper的版本是5.1.3。 1、PageInterceptor 先上一段代码,如下...

克虏伯
昨天
2
0

没有更多内容

加载失败,请刷新页面

加载更多

返回顶部
顶部